For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • DELDelete a revision
      • GETList all revisions for a workflow
      • PUTMake a revision the active revision for a workflow
LogoLogo
Scout DocsAccess Scout
EndpointsRevisions

Delete a revision

Beta
DELETE
https://api.scoutos.com/v2/workflows/:workflow_id/revisions/:revision_id
DELETE
/v2/workflows/:workflow_id/revisions/:revision_id
$curl -X DELETE https://api.scoutos.com/v2/workflows/workflow_id/revisions/revision_id \
> -H "Authorization: Bearer <token>"
1{
2 "detail": "Revision 3f5a9b2c successfully deleted from workflow 7d9e1f4a"
3}
Was this page helpful?
Previous

List all revisions for a workflow

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_idstringRequired
revision_idstringRequired

Response

Successful Response
detailstring

Errors

422
Unprocessable Entity Error